Skip to main content
用户画像

列出画像模板

分页查询所有画像模板

分页查询当前用户的所有画像模板。

请求方法与路径

GET https://dashscope.aliyuncs.com/api/v2/apps/memory/profile_schemas

请求参数

参数类型必填位置说明
page_numinteger否Query页码,默认 1
page_sizeinteger否Query每页数量,默认 10
memory_library_idstring否Query记忆库 ID

返回结果

字段类型说明
profile_schemasarray画像模板列表
profile_schemas[].profile_schema_idstring画像模板 ID
profile_schemas[].namestring画像模板名称
profile_schemas[].descriptionstring画像模板描述
profile_schemas[].plan_versionstring收费计划
profile_schemas[].extract_scenestring提取场景
request_idstring请求 ID
totalinteger画像模板总数

代码示例

cURL
curl -X GET "https://dashscope.aliyuncs.com/api/v2/apps/memory/profile_schemas?page_size=10&page_num=1" \
  --header "Authorization: Bearer $DASHSCOPE_API_KEY" \
  --header "Content-Type: application/json"

响应示例

{
  "profile_schemas": [
    {
      "description": "包含年龄和兴趣的用户信息",
      "extract_scene": "efficient",
      "name": "用户基础画像",
      "plan_version": "pro",
      "profile_schema_id": "50edf54eaa5842e891d959ae115205be"
    },
    {
      "description": "系统自动创建的默认画像模板",
      "extract_scene": "efficient",
      "name": "默认画像",
      "plan_version": "pro",
      "profile_schema_id": "976e2e6e59f64ed0b25e6ca0268624bb"
    }
  ],
  "request_id": "3c46983f-85fd-92a5-8440-2e459cc91b2f",
  "total": 2
}
查看单个模板详情使用 GetProfileSchema。
Managed Agents
Sandbox
Security
RAG
应用调用
ParseX
框架